package com.landray.kmss.sys.attachment.integrate.wps.interfaces;

import java.util.Map;
import java.util.List;
import net.sf.json.JSONObject;

public interface ISysAttachmentWpsCloudOfficeProvider
{
    String getViewUrl(final String p0) throws Exception;
    
    String getCode() throws Exception;
    
    Boolean isAttHadSyncByAttMainId(final String p0) throws Exception;
    
    void syncAttToAddByMainId(final String p0) throws Exception;
    
    void syncAttToUpdateByMainId(final String p0) throws Exception;
    
    Boolean checkIsWpsUser() throws Exception;
    
    Boolean uploadToWpsCloud(final String p0) throws Exception;
    
    void updateAttByMainId(final String p0) throws Exception;
    
    JSONObject getWpsCloudViewUrl(final String p0, final boolean p1, final String p2) throws Exception;
    
    JSONObject getWpsCloudViewUrl(final String p0, final boolean p1, final String p2, final boolean p3) throws Exception;
    
    JSONObject getWpsCloudViewParam(final String p0, final String p1) throws Exception;
    
    String getResult(final String p0) throws Exception;
    
    String setRed(final List<Map<String, Object>> p0, final List<Map<String, Object>> p1) throws Exception;
    
    String opRevisions(final String p0, final String p1, final String p2) throws Exception;
    
    String opRevisions(final String p0, final String p1, final String p2, final String p3, final String p4) throws Exception;
    
    String setRed(final List<Map<String, Object>> p0, final List<Map<String, Object>> p1, final String p2, final String p3) throws Exception;
    
    JSONObject getCovertDownload(final String p0) throws Exception;
    
    JSONObject getCovertDownload(final String p0, final String p1, final String p2) throws Exception;
    
    String getWpsDownloadUrl(final String p0) throws Exception;
    
    String opRevisions(final String p0, final String p1, final String p2, final String p3, final String p4, final String p5, final String p6) throws Exception;
    
    String setRed(final List<Map<String, Object>> p0, final List<Map<String, Object>> p1, final String p2, final String p3, final String p4, final String p5) throws Exception;
    
    String setFormMappingWord(final List<Map<String, Object>> p0, final List<Map<String, Object>> p1, final String p2, final String p3, final String p4, final String p5, final String p6) throws Exception;
    
    String getUpdateSysOrgPersonFdId(final String p0) throws Exception;
    
    Boolean checkWpsVersion(final String p0) throws Exception;
    
    String getWpsWindowPreviewUrl(final String p0) throws Exception;
    
    String getWpsLinuxPreviewUrl(final String p0) throws Exception;
    
    String getWpsOnlineDownloadUrl(final String p0) throws Exception;
}
